Package: groovy.lang

## [Java] Class IncorrectClosureArgumentsException

- groovy.lang.IncorrectClosureArgumentsException

- An exception occurred when invoking a Closure with the wrong number and/or types of arguments

  Authors:
    James Strachan
  Version:
    \$Revision\$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `IncorrectClosureArgumentsException (Closure closure, Object arguments, Class[] expected)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Object` | `getArguments()`
    `Closure` | `getClosure()`
    `Class[]` | `getExpected()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public IncorrectClosureArgumentsException(Closure closure, Object arguments, Class[] expected)

  - ### Method Detail

    - #### public Object getArguments()

    - #### public Closure getClosure()

    - #### public Class[] getExpected()